Subject: Re: [DTC] small ftdump cleanup patch

From: David Gibson <[email-masked]>
Date: Fri, 4 Jan 2008 10:25:20 +1100

On Thu, Jan 03, 2008 at 09:40:57AM -0500, Paul Gortmaker wrote:
> Here is a small patch to clean up the usage info and the error returns
> for ftdump -- not sure what the future holds for ftdump vs. simply using
> "dtc -I dtb -O dts someblob.dtb" ...

I expect ftdump to stay around for the forseeable future as a
hacking/debugging tool; the idea is that it will be able to tell you
at least something about a malformed or corrupted dtb, whereas dtc is
likely to choke before producing any output.  Any non-debugging use is
likely a mistake, though.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson